package com.prolog.cs.biz.inbound.service.rqc;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rqc.WmsInRqcStRuleDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-12-24 
 */

public interface WmsInRqcStRuleService {

	/**
 	* @Description   
 	* @Date 2021-12-24 
 	* add WmsInRqcStRuleDTO 
 	*/
	public Object add(WmsInRqcStRuleDTO wmsInRqcStRuleDTO);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* edit WmsInRqcStRuleDTO 
 	*/
	public Object edit(String pkId,WmsInRqcStRuleDTO wmsInRqcStRuleDTO);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* delete WmsInRqcStRuleDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* delete WmsInRqcStRuleDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* page condition search WmsInRqcStRuleDTO 
 	*/
	public Page<WmsInRqcStRuleDTO> findList(WmsInRqcStRuleDTO wmsInRqcStRuleDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* batchAdd WmsInRqcStRuleDTO 
 	*/
	public Object batchAdd(List<WmsInRqcStRuleDTO> wmsInRqcStRuleDTOList);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* batchEdit WmsInRqcStRuleDTO 
 	*/
	public Object batchEdit(List<WmsInRqcStRuleDTO> wmsInRqcStRuleDTOList);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* condition search all WmsInRqcStRuleDTO 
 	*/
	public List<WmsInRqcStRuleDTO> findAll(WmsInRqcStRuleDTO wmsInRqcStRuleDTO);

	/**
 	* @Description  
 	* @Date 2021-12-24 
 	* findOne WmsInRqcStRuleDTO 
 	*/
	public WmsInRqcStRuleDTO findByPkId(String pkId);

	public Object delByRelatedId(String relatedId);
	
	public List<WmsInRqcStRuleDTO> findByRelatedId(String relatedId);

	public Object move(String pkId, String moveType);
}
